Important Update: FireFox No Longer Supports Java

As of 3/7/2017, FireFox versions 52 and higher no longer support Java. Visit our Java page for a list of games affected. There is no workaround for this issue within FireFox.

As a reminder, Java continues to not be supported in the Google Chrome browser since version 42.

As such, We highly recommend using another browser such as the latest version of  Internet Explorer 11 to continue playing these games.

You can grab the latest version of Internet Explorer below:

We apologize for any inconvenience. Thanks for your understanding!

-The Pogo Team

  • Share this post:
  • Facebook
  • Twitter

Comments are closed